Source: lalsimulation
Section: science
Priority: optional
Maintainer: Steffen Grunewald <steffen.grunewald@aei.mpg.de>
Uploaders: Adam Mercer <adam.mercer@ligo.org>, GitLab <gitlab@git.ligo.org>
Build-Depends: debhelper (>= 9),
  dh-python,
  gcc,
  g++,
  help2man,
  make,
  pkg-config (>= 0.18.0),
  lal-dev (>= @MIN_LAL_VERSION@~),
  libgsl-dev | libgsl0-dev (>= 1.9),
  liboctave-dev,
  zlib1g-dev,
  swig (>= 3.0.9) | swig3.0 (>= 3.0.9),
  python-all-dev,
  python-lal (>= @MIN_LAL_VERSION@~),
  python-mock,
  python-numpy,
  python-pathlib,
  python-pytest,
  python3-all-dev,
  python3-numpy,
  python3-lal (>= @MIN_LAL_VERSION@~),
  python3-pytest,
  lal-octave (>= @MIN_LAL_VERSION@~),
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Standards-Version: 3.9.8

Package: lalsimulation
Architecture: any
Depends: ${misc:Depends},
  ${shlibs:Depends},
  lal (>= @MIN_LAL_VERSION@~)
Description: LSC Algorithm Library Simulation
 The LSC Algorithm Simulation Library for gravitational wave data analysis.
 This package contains the shared-object libraries needed to run applications
 that use the LAL Simulation library.

Package: lalsimulation-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
  ${shlibs:Depends},
  libgsl-dev | libgsl0-dev (>= 1.9),
  zlib1g-dev,
  lal-dev (>= @MIN_LAL_VERSION@~),
  lalsimulation (= ${binary:Version})
Description: LSC Algorithm Library Simulation Developers
 The LSC Algorithm Simulation Library for gravitational wave data analysis.
 This package contains files needed build applications that use the LAL
 Simulation library.

Package: lalsimulation-python
Depends: python-lalsimulation, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 lalsimulation-python was renamed python-lalsimulation,
 this is a transitional package, it can safely be removed.

Package: python-lalsimulation
Section: python
Replaces: lalsimulation-python (<< 1.7.3.1-1~)
Breaks: lalsimulation-python (<< 1.7.3.1-1~)
Architecture: any
Depends: ${misc:Depends},
  ${python:Depends},
  ${shlibs:Depends},
  python-lal (>= @MIN_LAL_VERSION@~),
  lalsimulation (= ${binary:Version})
Description: Python bindings for LALSimulation
 The LSC Algorithm Simulation Library for gravitational wave data analysis.
 This package contains Python bindings for the LAL Simulation library.

Package: lalsimulation-python3
Depends: python3-lalsimulation, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 lalsimulation-python3 was renamed python3-lalsimulation,
 this is a transitional package, it can safely be removed.

Package: python3-lalsimulation
Replaces: lalsimulation-python3 (<< 1.7.3.1-1~)
Breaks: lalsimulation-python3 (<< 1.7.3.1-1~)
Section: python
Architecture: any
Depends:
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
  python3-lal (>= @MIN_LAL_VERSION@~),
  lalsimulation (= ${binary:Version})
Description: Python 3 bindings for LALSimulation
 The LSC Algorithm Simulation Library for gravitational wave data analysis.
 This package contains Python 3 bindings for the LAL Simulation library.

Package: lalsimulation-octave
Architecture: any
Depends: ${misc:Depends},
  ${shlibs:Depends},
  octave,
  lal-octave (>= @MIN_LAL_VERSION@~),
  lalsimulation (= ${binary:Version})
Description: Octave bindings for LALSimulation
 The LSC Algorithm Simulation Library for gravitational wave data analysis.
 This package contains Octave bindings for the LAL Simulation library.
